LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
InterpolationMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::rendering
| Interfaces and data structures for rendering.

## Constant Groups
constants | com::sun::star::rendering::InterpolationMode
| These constants specify the interpolation type for animation frames.

## Variables
const byte | NEAREST_NEIGHBOR =1
| Perform a nearest neighbor interpolation. More...
const byte | LINEAR =2
| Perform a linear interpolation. More...
const byte | CUBIC =3
| Perform a cubic interpolation. More...
const byte | BEZIERSPLINE3 =4
| Perform a cubic Bezier spline interpolation. More...
const byte | BEZIERSPLINE4 =5
| Perform a quadric Bezier spline interpolation. More...